package com.qxgmat.dto.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.User;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * Created by GaoJie on 2017/11/3.
 */
@Dto(entity = User.class)
public class UserInfoDto {

    /**
     * 昵称
     */
    @NotBlank(message = "昵称不能为空！")
    @ApiModelProperty(value = "昵称", required = true)
    private String nickname;

    /**
     * 头像
     */
    @NotBlank(message = "头像不能为空！")
    @ApiModelProperty(value = "头像", required = true)
    private String avatar;

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
